Set Google Food Menus for your business
curl --request POST \
--url https://api.partoo.co/v2/business/{business_id}/food_menus \
--header 'Content-Type: application/json' \
--header 'x-APIKey: <api-key>' \
--data @- <<EOF
{
"menus": [
{
"name": "Starters",
"order": 1,
"items": [
{
"name": "Starter 1",
"order": 1,
"description": "First starter of the food menu",
"price": 1,
"media": {
"source_url": "https://www.source_url.com/main_dishes",
"public_url": "https://www.partoo_url.com/main_dishes"
}
},
{
"name": "Starter 2",
"order": 2,
"description": "Second starter of the food menu",
"price": 5
}
]
},
{
"name": "Main dishes",
"order": 2,
"items": [
{
"name": "Today's special",
"order": 1,
"description": "Today's special description",
"price": 25,
"media": {
"source_url": "https://www.source_url.com/main_dishes",
"public_url": "https://www.partoo_url.com/main_dishes"
}
}
]
}
]
}
EOFimport requests
url = "https://api.partoo.co/v2/business/{business_id}/food_menus"
payload = { "menus": [
{
"name": "Starters",
"order": 1,
"items": [
{
"name": "Starter 1",
"order": 1,
"description": "First starter of the food menu",
"price": 1,
"media": {
"source_url": "https://www.source_url.com/main_dishes",
"public_url": "https://www.partoo_url.com/main_dishes"
}
},
{
"name": "Starter 2",
"order": 2,
"description": "Second starter of the food menu",
"price": 5
}
]
},
{
"name": "Main dishes",
"order": 2,
"items": [
{
"name": "Today's special",
"order": 1,
"description": "Today's special description",
"price": 25,
"media": {
"source_url": "https://www.source_url.com/main_dishes",
"public_url": "https://www.partoo_url.com/main_dishes"
}
}
]
}
] }
headers = {
"x-APIKey": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'x-APIKey': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
menus: [
{
name: 'Starters',
order: 1,
items: [
{
name: 'Starter 1',
order: 1,
description: 'First starter of the food menu',
price: 1,
media: {
source_url: 'https://www.source_url.com/main_dishes',
public_url: 'https://www.partoo_url.com/main_dishes'
}
},
{
name: 'Starter 2',
order: 2,
description: 'Second starter of the food menu',
price: 5
}
]
},
{
name: 'Main dishes',
order: 2,
items: [
{
name: 'Today\'s special',
order: 1,
description: 'Today\'s special description',
price: 25,
media: {
source_url: 'https://www.source_url.com/main_dishes',
public_url: 'https://www.partoo_url.com/main_dishes'
}
}
]
}
]
})
};
fetch('https://api.partoo.co/v2/business/{business_id}/food_menus', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"menus": [
{
"name": "Starters",
"order": 1,
"items": [
{
"name": "Starter 1",
"order": 1,
"description": "First starter of the food menu",
"price": 1,
"media": {
"source_url": "https://www.source_url.com/main_dishes",
"public_url": "https://www.partoo_url.com/main_dishes"
}
},
{
"name": "Starter 2",
"order": 2,
"description": "Second starter of the food menu",
"price": 5
}
]
},
{
"name": "Main dishes",
"order": 2,
"items": [
{
"name": "Today's special",
"order": 1,
"description": "Today's special description",
"price": 25,
"media": {
"source_url": "https://www.source_url.com/main_dishes",
"public_url": "https://www.partoo_url.com/main_dishes"
}
}
]
}
]
}{
"errors": {
"json": {}
}
}{
"errors": {
"authentication": "User not authenticated"
}
}{
"errors": {
"authorization": "Operation not allowed"
}
}{
"errors": {
"json": "Resource not found"
}
}Businesses
Set Google Food Menus for your business
This endpoint allows you to set or update Google Food Menus for your business.
POST
/
business
/
{business_id}
/
food_menus
Set Google Food Menus for your business
Authorizations
The authentication system on Partoo API is using API Key that should be put in the header of the request (the name of the header is x-APIKey). An api_key is linked to a user. This user's role will give you different access level to the API features.
Path Parameters
Business id.
It may be replaced by c-{code} where code is the store code, which should be unique per organization. This can be used only for ORG_ADMIN, GROUP_MANAGER and BUSINESS_MANAGER users.
Body
application/json
A Google food menu for business.
Show child attributes
Show child attributes
Response
OK
A Google food menu for business.
Show child attributes
Show child attributes
Was this page helpful?
⌘I